[Overview][Types][Classes][Variables][Index] | Reference for unit 'AVL_Tree' (#fcl)

# TAVLTree.Create

Create a new instance of TAVLTree

## Declaration

Source position: avl_tree.pp line 105

`public constructor TAVLTree.Create(`
`const OnCompareMethod: TListSortCompare`
`); constructor TAVLTree.Create;`

## Arguments

`OnCompareMethod` |  | Alternative node comparison method

## Description

Create initializes a new instance of TAVLTree. An alternate OnCompare can be provided: the default OnCompare method compares the 2 data pointers of a node.

## See also

OnCompare |  | Compare function used when comparing nodes